package cn.reghao.tnb.content.api.constant;

/**
 * @author reghao
 * @date 2024-11-02 23:57:45
 */
public enum AlbumAction {
    Add(1, "添加收藏"),
    Remove(2, "移除收藏"),
    SetCover(3, "设置封面");

    private final int code;
    private final String desc;
    AlbumAction(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getName() {
        return this.name();
    }

    /**
     * 提供给 @ValidEnum 调用
     *
     * @param
     * @return
     * @date 2023-10-11 14:44:42
     */
    public int getValue() {
        return this.code;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
